classification
Title: [3.5] Backport regrtest features from master to Python 3.5
Type: Stage: resolved
Components: Tests Versions: Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: haypo
Priority: normal Keywords:

Created on 2017-05-17 00:21 by haypo, last changed 2017-06-27 12:04 by haypo. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 2279 merged haypo, 2017-06-19 15:14
PR 2438 merged haypo, 2017-06-27 11:56
Messages (8)
msg293827 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-05-17 00:21
bpo-30283 backported regrtest features from master to Python 2.7. I now propose to do the same for Python 3.5, as suggested by Serhiy Storshaka.
msg296349 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-19 15:23
I chose to not backport test_huntrleaks_fd_leak() since I expect bugs, and I'm not interested at this point to fix such issues.
msg296354 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-19 16:33
New changeset a601fcca3bf2061e43d4d2710a730536cf26327b by Victor Stinner in branch '3.5':
[3.5] bpo-30383: Backport regrtest and test_regrtest enhancements from master to 3.5 (#2279)
https://github.com/python/cpython/commit/a601fcca3bf2061e43d4d2710a730536cf26327b
msg296355 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-19 16:35
I backport all test_regrtest except of test_huntrleaks_fd_leak() which is a deliberate choice, so I now close the issue.
msg296356 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-19 16:36
Oh, while reading bpo-30283, I see that Serhiy asked me to mention regrtest enhancements. So I reopen the issue.
msg297025 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-27 12:03
PR 2438 adds the NEWS entry.
msg297026 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-27 12:03
New changeset eef254d6c6b13db2f3d6a2f219bc76e84416f59c by Victor Stinner in branch '3.5':
bpo-30383: Add NEWS entry for backported regrtest (#2438)
https://github.com/python/cpython/commit/eef254d6c6b13db2f3d6a2f219bc76e84416f59c
msg297027 - (view) Author: STINNER Victor (haypo) * (Python committer) Date: 2017-06-27 12:04
I backported almost all regrtest features from master to 3.5. You should now get almost the same tool, even if the implementation is much older (regrtest was deeply reworked in master, a new test.libregrtest package was created).

I added the NEWS entry.

I now close the issue.
History
Date User Action Args
2017-06-27 12:04:34hayposetstatus: open -> closed
resolution: fixed
messages: + msg297027
2017-06-27 12:03:14hayposetmessages: + msg297026
2017-06-27 12:03:08hayposetmessages: + msg297025
2017-06-27 11:56:28hayposetpull_requests: + pull_request2487
2017-06-19 16:36:29hayposetstatus: closed -> open
resolution: fixed -> (no value)
messages: + msg296356
2017-06-19 16:35:35hayposetstatus: open -> closed
resolution: fixed
messages: + msg296355

stage: resolved
2017-06-19 16:33:23hayposetmessages: + msg296354
2017-06-19 15:23:26hayposetmessages: + msg296349
2017-06-19 15:14:17hayposetpull_requests: + pull_request2328
2017-05-17 00:21:53haypocreate